encfs binaries

Showing 1-5 of 5 messages
encfs binaries lisanet 7/12/11 2:22 PM
Hi everybody,

I just want to tell you, that if you want to use encfs with fuse4x you can download the latest version 1.7.4 from my blog on http://www.lisanet.de/?p=128
Although it's a german blog, the download link should be quite easy to find. You'll get a dmg containing an installer package with the encfs binaries (encfs, encfsctl, encfssh) and all libraries encfs depends on. They will get installed under /usr/local/bin and /usr/local/lib/encfs and are 32/64-bit universal binaries for SnowLeopard. Enjoy.

And, of course, thanks for this great project to revive fuse on OS X...

Simone

Re: encfs binaries Anatol Pomozov 7/12/11 2:34 PM


On Tue, Jul 12, 2011 at 2:22 PM, lisanet <angel...@googlemail.com> wrote:
Hi everybody,

I just want to tell you, that if you want to use encfs with fuse4x you can download the latest version 1.7.4 from my blog on http://www.lisanet.de/?p=128
Although it's a german blog, the download link should be quite easy to find. You'll get a dmg containing an installer package with the encfs binaries (encfs, encfsctl, encfssh) and all libraries encfs depends on. They will get installed under /usr/local/bin and /usr/local/lib/encfs and are 32/64-bit universal binaries for SnowLeopard. Enjoy.

Yay! Thanks a lot.

If I remember correctly EncFS uses fuse_unmount_compat22() function that is absent in 0.8.6. Did you patch EncFS to compile with Fuse4X?

I added this function back and it will be available in 0.8.7.
 
And, of course, thanks for this great project to revive fuse on OS X...

Thanks to *you* for doing this. Did you have any fuse-specific problems with compilation/using encfs? Some people complained recently that macfuse/fuse4x does not work correctly with EncFS [1]


Aw: Re: encfs binaries lisanet 7/14/11 2:17 PM

If I remember correctly EncFS uses fuse_unmount_compat22() function that is absent in 0.8.6. Did you patch EncFS to compile with Fuse4X?

yes, I've patched the encfs source. It's the same patch I've posted a few days ago on  MacPorts https://trac.macports.org/ticket/29917 
 

I added this function back and it will be available in 0.8.7.

yep. So my patch won't be needed any longer, although it doesn't harm, since I've just replaced fuse_unmount_compat22 with  a macro to call fuse_kern_unmount directly and this will work on 0.8.7 too.
 

Thanks to *you* for doing this. Did you have any fuse-specific problems with compilation/using encfs? Some people complained recently that macfuse/fuse4x does not work correctly with EncFS [1]

Beside the patch for fuse_unmount_compatt22 I only had to patch the configure script to recognize libfuse4x.dylib instead of libfuse.dylib. And AFAICS encfs just runs fine in the last few days since I've build these binaries.
 
Re: encfs binaries Anatol Pomozov 7/20/11 9:30 PM
Just added your EncFS to the fuse4x website http://fuse4x.org/faq.html#Q.3.4

Thanks again.
Re: encfs binaries pmcarrion 7/22/11 3:36 PM
Does encfs work in Lion?